Name:		libqxt
Version:	0.6.0
Release:	3%{?dist}
Summary:	Qt extension library
Group:		System Environment/Libraries
License:	CPL or LGPLv2
URL:		http://www.libqxt.org/
Source0:	http://bitbucket.org/libqxt/libqxt/get/v%{version}.tar.bz2
# From upstream trunk. To support mod4 in qxtglobalshortcut
# http://dev.libqxt.org/libqxt/changeset/1d7ab756c1e8
Patch0:		libqxt-meta-modifier.patch
# To support multimedia keys when using clementine
# Patch sent to upstream. They want to reimplement it more cleanly.
# We will use this patch until upstream reimplements it.
# http://dev.libqxt.org/libqxt/issue/75
Patch1:		libqxt-media-keys.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	avahi-compat-libdns_sd-devel
BuildRequires:	avahi-devel
BuildRequires:	db4-devel
BuildRequires:	libXrandr-devel
BuildRequires:	openssl-devel
BuildRequires:	qt4-devel

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
LibQxt, an extension library for Qt, provides a suite of cross-platform
utility classes to add functionality not readily available in the Qt toolkit.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	avahi-compat-libdns_sd-devel
Requires:	avahi-devel
Requires:	db4-devel
Requires:	qt4-devel

%description	devel
This package contains libraries and header files for developing applications
that use LibQxt.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .metamod
%patch1 -p1 -b .mediakeys

# We don't want rpath
sed -i '/-rpath/d' src/qxtlibs.pri


%build
# Does not use GNU configure
./configure -verbose \
	    -qmake-bin %{_qt4_qmake} \
	    -prefix %{_prefix} \
	    -libdir %{_libdir}
make %{?_smp_mflags}
make %{?_smp_mflags} docs


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

# We are installing these to the proper location
rm -fr $RPM_BUILD_ROOT%{_prefix}/doc/

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES *.txt LICENSE README
%{_qt4_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc examples/ doc/html/
%{_qt4_headerdir}/*
%{_qt4_libdir}/*.so
%{_qt4_plugindir}/designer/*.so
%{_qt4_datadir}/mkspecs/features/qxt*.prf

%changelog
* Sun Jul 18 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-3
- Include patch to support for mod4 in qxtglobalshortcut
- Include patch to support multimedia keys

* Tue Apr 20 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-2
- This is the real 0.6.0 (upstream changed their tarball)

* Sun Apr 11 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-1
- Use qt4 macros more extensively.
- Update to 0.6.0 final.

* Wed Apr 07 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-0.2.20100407hg
- New snapshot. The previous tarball got damaged somehow.
- Remove configure tests hack. Upstream fixed it upon our warning.

* Sat Mar 27 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-0.1.20100327hg
- Initial build
